﻿﻿@model IEnumerable<object>

@{
    ViewBag.Title = "Admin Profile";
    Layout = "~/Views/Shared/_Layout.cshtml";
    List<PMS02.Models.User> listusers = Model.ToList()[0] as List<PMS02.Models.User>;
    List<PMS02.Models.Post> listposts = Model.ToList()[1] as List<PMS02.Models.Post>;

    //byte[] photo = (byte[])Session["photo"];
    // var base64 = Convert.ToBase64String(photo);
    //var img = string.Format("data:image/jpg;base64,{0}", base64);
    
    var first = Session["First"];
    var last = Session["Last"];
    var mobile = Session["Mobile"];
    var job = Session["Job"];
    var role = Session["Role"];
    var id = Session["id"];
}
@if ((string)Session["Role"] == "Admin")
{
    <div class="container-fluid text-center">
        <div class="row">
            <div class="col-sm-2 well table-responsive ">
                <div class="well ">
                    <p>Profile Information</p>
                    <img src="" class="img-responsive img-circle" />
                </div>
                <table class="table table-condensed table-hover">
                    <tr>
                        <td class="danger">First Name</td>
                        <td class="success"><strong>@first</strong></td>
                    </tr>
                    <tr>
                        <td class="danger">Last Name </td>
                        <td class="success"><strong>@last</strong></td>
                    </tr>
                    <tr>
                        <td class="danger"> Job Description </td>
                        <td class="success"><strong>@job</strong></td>
                    </tr>
                    <tr>
                        <td class="danger">Mobile  </td>
                        <td class="success"><strong>@mobile</strong></td>
                    </tr>
                </table>
            </div>
            <div class="col-md-10">
                <div class="row ">
                    <div class="col-sm-12">
                        <div class="panel panel-success" style="max-height:500px ;min-height:500px;overflow-y:scroll">
                            <div class="panel-heading">
                                <h3 class="panel-title">All current System Actors</h3>
                                <br />
                                <p>
                                    <a href="@Url.Action("Create", "Admin")" class="btn btn-primary">
                                        Create New Actor
                                        <span class="glyphicon glyphicon-plus-sign" aria-hidden="true"></span>
                                    </a>
                                </p>
                            </div>
                            <div class="panel-body table-responsive ">
                                <table class="table table-condensed table-bordered table-hover ">
                                    <tr class="danger text-capitalize">

                                        <th>
                                            User Name
                                        </th>
                                        <th>
                                            Email
                                        </th>
                                        <th>
                                            Jop
                                        </th>
                                        <th>
                                            First Name
                                        </th>
                                        <th>
                                            Last Nmae
                                        </th>
                                        <th>
                                            Mobile
                                        </th>
                                        <th>
                                            Role
                                        </th>
                                        <th>Operations  Allowed </th>
                                    </tr>

                                    @foreach (var item in listusers)
                                    {
                                        <tr class="success">
                                            <td>
                                                @Html.DisplayFor(modelItem => item.User_Name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Email)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Job_Description)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.First_Name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Last_Name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Mobile)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Job_Description)
                                            </td>
                                            <td>
                                                @if (item.userID != (int)Session["id"])
                                                {
                                                    @Html.ActionLink("Delete", "Delete", new { id = item.userID })

                                                }
                                                else
                                                {
                                                    <p>Disabled</p>
                                                }

                                            </td>
                                        </tr>
                                    }
                                </table>

                            </div>

                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="panel panel-success" style="max-height:500px ;min-height:500px;overflow-y:scroll">
                            <div class="panel-heading">
                                <h3 class="panel-title">All current Pending Posts </h3>
                            </div>
                            <div class="panel-body table-responsive">
                                <table class="table table-condensed table-bordered table-hover">
                                    <tr class="danger text-capitalize">

                                        <th>
                                            Posts Description
                                        </th>
                                        <th>
                                            Posted By
                                        </th>
                                        <th>
                                            Approve
                                        </th>
                                        <th>
                                            Delete
                                        </th>

                                    </tr>
                                    @foreach (var item in listposts)
                                    {
                                        <tr class="success ">
                                            <td>
                                                @Html.DisplayFor(modelItem => item.post_desc)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.User.User_Name)
                                            </td>
                                            <td>

                                                @using (Html.BeginForm("Approveposts", "Admin", new { postid = @item.postID }, FormMethod.Post))
                                                {
                                                    Html.AntiForgeryToken();


                                                    <button type="submit" value="Approveposts" class="btn btn-success btn btn-sm"><span class="glyphicon glyphicon-plus-sign"></span>Approve</button>

                                                }
                                            </td>
                                            <td>
                                                @using (Html.BeginForm("Deleteposts", "Admin", new { postid = @item.postID }, FormMethod.Post))
                                                {
                                                    Html.AntiForgeryToken();


                                                    <button type="submit" value="Deleteposts" class="btn btn-danger btn btn-sm"><span class="glyphicon glyphicon-remove"></span>Delete</button>
                                                }
                                            </td>




                                        </tr>
                                    }
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>


}
@section scripts
{
    <script src="~/Scripts/jquery.validate.min.js"></script>
    <script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
}